package com.csc714.data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Iterator;

/// Class to hold wifi status data at a geographical location
public class WifiData implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	public WifiData(double latitude, double longitude, ArrayList<WifiNetwork> wifiNetworks) {
		super();
		this.latitude = latitude;
		this.longitude = longitude;
		this.wifiNetworks = wifiNetworks;
	}
	
	public double getLatitude() {
		return latitude;
	}

	public void setLatitude(double latitude) {
		this.latitude = latitude;
	}

	public double getLongitude() {
		return longitude;
	}

	public void setLongitude(double longitude) {
		this.longitude = longitude;
	}
	
	public WifiNetwork getBestSignal(){
		
		WifiNetwork network = null;
		int bestIndex = 0;
		
		for (Iterator<WifiNetwork> it = wifiNetworks.iterator(); it.hasNext (); ) {
			network = it.next();
			if(network.getLevel() > wifiNetworks.get(bestIndex).getLevel()){
				bestIndex = wifiNetworks.indexOf(network);
			}
		}
		
		return wifiNetworks.get(bestIndex);
	}
	
	public ArrayList<WifiNetwork> getWifiNetworks() {
		return wifiNetworks;
	}
	public void setWifiNetworks(ArrayList<WifiNetwork> wifiNetworks) {
		this.wifiNetworks = wifiNetworks;
	}

	private double latitude;
	private double longitude;
	private ArrayList<WifiNetwork> wifiNetworks;

}
