package com.csc714.data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Iterator;

public class WifiUserHistory implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public WifiUserHistory(String name, ArrayList<WifiData> history) {
		super();
		this.name = name;
		this.history = history;
	}
	
	public void addWifiData(WifiData data){
		this.history.add(data);
	}
	
	public ArrayList<WifiData> getHistory() {
		return history;
	}

	public void setHistory(ArrayList<WifiData> history) {
		this.history = history;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	public static WifiUserHistory getUserHistory(String name, ArrayList<WifiUserHistory> histories){
		
		Iterator<WifiUserHistory> itr = histories.iterator();
        WifiUserHistory hist = null;
        while(itr.hasNext()) {
        	hist = itr.next();
        	if( hist.getName().equalsIgnoreCase(name) ){
        		return hist;
        	}
        }
		
		// return null if the user was not in the arraylist 
		return null;
	}
	
	public static ArrayList<WifiUserHistory> updateUserHistory(WifiUserHistory inHist, ArrayList<WifiUserHistory> histories){
		
		Iterator<WifiUserHistory> itr = histories.iterator();
        WifiUserHistory hist = null;
        int i = 0;
        while(itr.hasNext()) {
        	hist = itr.next();
        	if( hist.getName().equalsIgnoreCase(inHist.getName()) ){
        		histories.remove(i);
        		histories.add(inHist);
        		return histories;
        	}
        	i++;
        }
        
        // if the user name wasn't already in the list, add it
        histories.add(inHist);
        return histories;
	}

	private String name;
	private ArrayList<WifiData> history;
	
}
